## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 22
%bcond_without check
%global debug_package %{nil}

%global crate crossbeam-epoch

Name:           rust-crossbeam-epoch
Version:        0.9.11
Release:        %autorelease
Summary:        Epoch-based garbage collection

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/crossbeam-epoch
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          crossbeam-epoch-fix-metadata-auto.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Epoch-based garbage collection.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nightly-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly" feature of the "%{crate}" crate.

%files       -n %{name}+nightly-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Oct 08 2022 Fabio Valentini <decathorpe@gmail.com> 0.9.11-1
- Update to version 0.9.11; Fixes RHBZ#2130740

* Wed Jul 27 2022 Fabio Valentini <decathorpe@gmail.com> 0.9.10-1
- Update to version 0.9.10; Fixes RHBZ#2110073

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.9.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Fabio Valentini <decathorpe@gmail.com> 0.9.9-1
- Update to version 0.9.9; Fixes RHBZ#2097834

* Tue Mar 29 2022 Fabio Valentini <decathorpe@gmail.com> 0.9.8-1
- Update to version 0.9.8; Fixes RHBZ#2064278

* Mon Feb 07 2022 Fabio Valentini <decathorpe@gmail.com> 0.9.7-1
- Update to version 0.9.7; Fixes RHBZ#2050975

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.9.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 10 2022 Fabio Valentini <decathorpe@gmail.com> 0.9.6-1
- Update to version 0.9.6; Fixes RHBZ#2038605

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 02 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.5-1
- Update to version 0.9.5.
- Fixes RHBZ#1965795

* Thu May 13 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.4-1
- Update to version 0.9.4.
- Fixes RHBZ#1955262

* Thu Feb 25 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.3-1
- Update to version 0.9.3.
- Fixes RHBZ#1931104

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Nov 28 2020 Fabio Valentini <decathorpe@gmail.com> - 0.9.1-1
- Update to version 0.9.1.
- Fixes RHBZ#1901763

* Thu Nov 12 2020 Fabio Valentini <decathorpe@gmail.com> - 0.9.0-1
- Update to version 0.9.0.
- Fixes RHBZ#1887298

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Feb 23 11:24:42 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> - 0.8.0-2
- Bump to autocfg 1

* Thu Nov 28 11:24:48 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0

* Fri Aug 30 08:55:03 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.2-1
- Update to 0.7.2

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 09:24:50 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.1-4
- Regenerate

* Tue May 07 07:29:43 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.1-3
- Update scopeguard to 1

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Josh Stone <jistone@redhat.com> - 0.7.1-1
- Update to 0.7.1

* Tue Jan 08 2019 Josh Stone <jistone@redhat.com> - 0.7.0-1
- Update to 0.7.0

* Sat Dec 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1

* Sun Oct 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.0-1
- Update to 0.6.0

* Sat Oct 27 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.2-2
- Adapt to new packaging

* Sat Sep 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.2-1
- Update to 0.5.2

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.1-2
- Rebuild to trigger tests

* Sat Jul 21 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 16 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0

* Tue Jun 12 2018 Josh Stone <jistone@redhat.com> - 0.4.3-1
- Update to 0.4.3

* Thu Mar 22 2018 Josh Stone <jistone@redhat.com> - 0.4.1-1
- Update to 0.4.1

* Thu Feb 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Initial package

